Bug 1571944 - Stack trace from github.com/openshift/origin/pkg/image/trigger/deploymentconfigs.calculateDeploymentConfigTrigger
Summary: Stack trace from github.com/openshift/origin/pkg/image/trigger/deploymentconf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.9.z
Assignee: Tomáš Nožička
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 18:54 UTC by Justin Pierce
Modified: 2018-06-27 18:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 18:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
Stack trace (8.14 KB, text/plain)
2018-04-25 18:54 UTC, Justin Pierce
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Description Justin Pierce 2018-04-25 18:54:13 UTC
Created attachment 1426788 [details]
Stack trace

Description of problem:
atomic-openshift-master-controllers in crash loop. See attachment for relevant stack trace. 

Version-Release number of selected component (if applicable):
v3.9.14

How reproducible:
100% in current cluster configuration

Comment 2 Tomáš Nožička 2018-04-25 19:46:54 UTC
You need this commit

https://github.com/openshift/ose/commit/a7adc665677abbf9a72b2594130f1911c785729f

git --no-pager tag --contains a7adc665677abbf9a72b2594130f1911c785729f
v3.9.16-1
v3.9.17-1
v3.9.18-1
v3.9.19-1
v3.9.20-1
v3.9.21-1
v3.9.22-1
v3.9.23-1
v3.9.24-1

Comment 3 Stefanie Forrester 2018-04-25 22:41:29 UTC
Thanks, I installed 3.9.24 and my masters are running fine now.

Comment 4 Wang Haoran 2018-04-27 02:28:35 UTC
Move to verify per comment 3.

Comment 6 errata-xmlrpc 2018-06-27 18:02:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.